import { Grid } from "../../../components/grid/Grid";
import ResponsiveTable from "../../../components/responsive-table/ResponsiveTable";

export const StewardSaleDispenserWithinDashboard = ({ dashboardData }) => {
  return (
    <Grid container xs={12} justifyContent="center" alignItems="center">
      <ResponsiveTable
        noPagination
        title={"اطلاعات کلی"}
        columns={[
          "تعداد توزیع",
          "کل وزن توزیع",
          "وزن توزیع به مباشر",
          "وزن توزیع به صنف",
        ]}
        data={[
          [
            dashboardData?.numberOfAllocations?.toLocaleString(),
            dashboardData?.totalWeight?.toLocaleString(),
            dashboardData?.totalStewardWeight?.toLocaleString(),
            dashboardData?.totalGuildWeight?.toLocaleString(),
          ],
        ]}
      />
    </Grid>
  );
};
